package com.gree.mall.manager.bean.workorder;

import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class OrderCount7DayBean {

    @ApiModelProperty("新增数量")
    private List<Long> addNums = Lists.newArrayList(0L,0L,0L,0L,0L,0L,0L);
    @ApiModelProperty("完工数量")
    private List<Long> overNums = Lists.newArrayList(0L,0L,0L,0L,0L,0L,0L);
    @ApiModelProperty("进行中")
    private List<Long> ingNums = Lists.newArrayList(0L,0L,0L,0L,0L,0L,0L);
    @ApiModelProperty("需上门数量")
    private List<Long> dropInNums = Lists.newArrayList(0L,0L,0L,0L,0L,0L,0L);
    @ApiModelProperty("日期")
    private List<String> dates = new ArrayList<>();
}
